#
# spec file for package python-musicbrainzngs
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-musicbrainzngs
Version:        0.7.1
Release:        2.15
Summary:        Python bindings for musicbrainz NGS webservice
License:        BSD-2-Clause
URL:            https://python-musicbrainzngs.readthedocs.org/
Source:         https://files.pythonhosted.org/packages/source/m/musicbrainzngs/musicbrainzngs-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This library implements webservice bindings for the Musicbrainz NGS site, also
known as /ws/2.

%prep
%setup -q -n musicbrainzngs-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license COPYING
%doc CHANGES README.rst
%{python_sitelib}/musicbrainzngs/
%{python_sitelib}/musicbrainzngs-%{version}-py*.egg-info

%changelog
* Wed Apr 27 2022 Steve Kowalik <steven.kowalik@suse.com>
- Re-enable the test suite, it uses fakes to avoid network access.
- Switch to using pytest.
* Wed Jan 22 2020 Martin Sirringhaus <martin.sirringhaus@suse.com>
- Update to version 0.7.1
  * include README file in pypi
- Update to version 0.7
  * removed support for PUIDs and Echoprint
  * removed the 'artists' include for work lookup
  * allow the 'work-level-rels' include for recording lookups
  * added support for 'target-credit' elements
  * update valid search fields
  * use https by default with musicbrainz.org
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Sep  7 2017 toddrme2178@gmail.com
- Implement single-spec version.
- Update to version 0.6
  * don't require authentication when getting public collections (#87)
  * allow submit_ratings() and submit_tags() to submit for all supported entities (Ian McEwen, #145)
  * allow 'tags' and 'user-tags' includes on releases (Jérémie Detrey, #150)
  * set the parser when the webservice format is changed
  * read the error message from musicbrainz and return it in
    a raised exception
  * send authenticaion headers when required (Ryan Helinski, #153)
  * added get_series_by_id(), search_areas(), search_series() (Ian McEwen, #148)
  * updated options for get_releases_by_discid() to support 'media-format'
    and discid-less requests (Ian McEwen, #148)
  * parse work attributes (Wieland Hoffmann, #151)
  * added various methods to retrieve data from the Cover Art Archive (Alastair Porter & Wieland Hoffmann, #115)
  * added support for pregap tracks (Rui Gonçalves, #154 & #165)
  * return 'offset-list' and 'offset-count' for get_releases_by_discid()
    (Johannes Dewender, #169)
  * added support for search and browse of events (Shadab Zafar, #168)
  * added support for 'data-track-list' elements (Jérémie Detrey, #180)
  * added support for get and search instruments
  * added support to read all collection types (#175)
  * added support for search and browse of places (#176)
  * allow single strings to be used as includes for browse requests (#172)
  * allow single strings to be used at tag submission (#172)
  * added support for browse artist by work and work by artist
  * added support for 'track-count' elements in 'medium-list's returned by search
  * added support to read xml attributes in 'attribute-list' elements (#142)
* Tue Oct 20 2015 hpj@urpla.net
- version 0.5: initial build
